import { AboutProductDetailsClient } from "@/components/shared/about-product-details-client";
import { Locale } from "@/i18n/routing";
import { getAboutProductDetailsData } from "@/utils/get-fake-data";

interface AboutProductDetailsProps {
  locale: Locale;
}

export default async function AboutProductDetails({
  locale,
}: AboutProductDetailsProps) {
  const data = await getAboutProductDetailsData();

  return <AboutProductDetailsClient data={data} locale={locale} />;
}
